This method will auto-generate an ID and create a new registration package. If an ID is specified for the registration package, an error will be thrown.
The registration package that you would like to be saved.
The abbreviated name of the registration package, for display inside event dropdowns & lists
If true, the customer can choose their installment plan
Whether or not this package allows for guests
If set, auto renew is set automatically on the membership and the member must opt out
Whether to track inventory for the entire bundle, or for each product separately
Whether or not cancellation fees are applicable
If set, document entitlements will be created to access folders or documents
If true, purchasing this product will generate coupons
If set, the order engine will call out to a custom lambda function for custom/complex pricing
If set, document entitlements will be created to access folders or documents
If enabled, a custom email goes out whenever this product is ordered
If true, purchase limits are in place for this product
If set, purchases of this merchandise are restricted
If true, this package is not available in the online store
If set, the cancellation policy for this registration is overridden
Whether or not this product should be available in the portal
If true, this package only allows registrants to attend on certain days
The registration type to which this fee is tied; if null, is a "catch all" and applies to all types
If this record was loaded via bulk, the timestamp when the record was processed
If this record was loaded via bulk, the ID of the bulk load process
If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key
If this record was loaded via bulk, the record number in the source file
If this record was loaded via bulk, the source file
The error associated with the calculated field
If a snapshot was restored/applies to this record, the ID of the snapshot
The date/time that this record was created, expressed in ISO-8601 date format
The ID of the user that deleted (or last tried to delete) this object
Means for passing directive information into an object processing logic
If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion
If this record was last touched by a bulk data operation, the ID of that operation
If this record was last touched by a bulk data operation, the sys_version at the time of that operation
The date/time that this record record was last modified, expressed in ISO-8601 date format
The ID of the user that last modified this record
The security context of the last insert, modify, or delete performed on this item
The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox
A number representing the version of this record in the database
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/events/events-v1/registrationPackages/{tenantId}
- https://events.api.rhythmsoftware.comhttps://events.api.rhythmsoftware.com/registrationPackages/{tenantId}
curl -i -X POST \
'https://docs.api.rhythmsoftware.com/_mock/apis/events/events-v1/registrationPackages/{tenantId}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"abbreviated_name": "string",
"allow_customer_to_choose_installment_plan": true,
"allow_guest_registrations": true,
"auto_renew_opt_out": true,
"bulk_pricing_rules": [
{
"discount_amount": 0,
"discount_type": "flat rate",
"ending_range": 0,
"starting_range": 0
}
],
"bundled_products": [
{
"member_price": 0.1,
"price": 0.1,
"product_id": "string",
"product_type": "string",
"quantity": 0,
"type": "bundled product"
}
],
"bundled_products_inventory_handling": "bundle",
"business_unit_id": "string",
"cancellation_fee": 0.1,
"cancellation_policy": {
"cancellation_deadline": "2019-08-24T14:15:22Z",
"cancellation_policy": "none",
"cancellation_relative_date": {
"number": null,
"position": "after",
"relative_to": "the beginning of the month",
"unit_of_time": "days"
}
},
"commerce_entitlements_to_create": [
{
"expiration_date": "2019-08-24T14:15:22Z",
"expiration_type": "none",
"quantity": 0.1,
"relative_expiration_date": {
"number": null,
"position": "after",
"relative_to": "the beginning of the month",
"unit_of_time": "days"
},
"type_id": "string"
}
],
"coupon_codes": [
{
"coupon_code_generation_process_id": "string",
"coupon_code_type": "multi use",
"coupon_id": "string",
"coupon_type": "string",
"expiration_date": "2019-08-24T14:15:22Z",
"expiration_type": "none",
"maximum_number_of_total_uses": 1,
"maximum_number_of_uses_per_customer": 1,
"quantity": 250,
"relative_expiration_date": {
"number": null,
"position": "after",
"relative_to": "the beginning of the month",
"unit_of_time": "days"
},
"restrict_to_contact": true,
"restrict_to_organization": true
}
],
"custom_field_values": [
{
"boolean_value": true,
"custom_field_id": "string",
"file_url_value": "string",
"list_value": [
"string"
],
"numeric_value": 0.1,
"string_value": "string",
"table_value": [
{}
]
}
],
"custom_pricing_options": {
"lambda_function_id": "string"
},
"days": [
"2019-08-24"
],
"deadline_based_pricing": [
{
"deadline_id": "string",
"foreign_currency_prices": [
{
"currency_code": "AED",
"member_price": 0.1,
"mode": "calculate price",
"price": 0.1
}
],
"member_price": 0.1,
"price": 0.1
}
],
"description": "string",
"display_order": 0.1,
"document_entitlements_to_create": [
{
"expiration_date": "2019-08-24T14:15:22Z",
"expiration_type": "none",
"file_cabinet_id": "string",
"item_id": "string",
"library_path": "string",
"relative_expiration_date": {
"number": null,
"position": "after",
"relative_to": "the beginning of the month",
"unit_of_time": "days"
}
}
],
"enable_bulk_pricing": true,
"enable_bundled_products": true,
"enable_cancellation_fees": true,
"enable_commerce_entitlement_creation": true,
"enable_coupon_code_generation": true,
"enable_custom_pricing": true,
"enable_document_entitlement_creation": true,
"enable_product_confirmation_email": true,
"enable_purchase_limits": true,
"enable_purchasing_eligibility": true,
"enable_special_prices": true,
"enable_task_generation": true,
"event_id": "string",
"foreign_currency_prices": [
{
"cancellation_fee": 0.1,
"currency_code": "AED",
"member_price": 0.1,
"mode": "calculate price",
"price": 0.1,
"restocking_fee": 0.1
}
],
"function_ids": [
"string"
],
"guest_registration_options": {
"guest_types": [
{
"maximum_number_of_guests": 0.1,
"registration_type_id": "string"
}
],
"maximum_number_of_guests": 0.1
},
"hide_from_online_store": true,
"hide_from_portal": true,
"id": "string",
"include_add_ons": true,
"include_courses": true,
"include_sessions": true,
"include_tickets": true,
"included_add_ons": [
{
"add_on_product_id": "string",
"quantity": 1
}
],
"included_courses": [
{
"course_id": "string"
}
],
"included_sessions": [
{
"session_id": "string"
}
],
"included_tickets": [
{
"function_fee_id": "string",
"function_id": "string",
"number_of_tickets": 0.1
}
],
"installment_plan_options": [
{
"additional_cost": 0.1,
"installment_plan_id": "string",
"is_default": true
}
],
"is_active": true,
"member_price": 0.1,
"name": "string",
"notes": "string",
"override_cancellation_policy": true,
"portal_options": {
"available_from": "2019-08-24T14:15:22Z",
"available_until": "2019-08-24T14:15:22Z"
},
"price": 0.1,
"product_confirmation_email_options": {
"product_confirmation_email_id": "string",
"product_specific_email": {
"bcc": "string",
"body": "string",
"cc": "string",
"from": "string",
"from_name": "string",
"reply_to": "string",
"subject": "string"
},
"type": "product specific"
},
"publish_to_portal": true,
"purchase_limits": {
"error_message": "string",
"maximum": 0.1,
"relative_time_window": {
"number": null,
"position": "after",
"relative_to": "the beginning of the month",
"unit_of_time": "days"
},
"time_period": "all time",
"type": "per customer"
},
"purchasing_eligibility_criteria": {},
"registrants_can_only_attend_on_certain_days": true,
"registration_type_id": "string",
"session_attendance": "can attend all sessions",
"special_prices": [
{
"criteria": {},
"enable_formula": true,
"formula": "string",
"name": "string",
"price": 0.1
}
],
"specific_session_track_ids": [
"string"
],
"sys_bulk_load_at": "string",
"sys_bulk_load_id": "string",
"sys_bulk_load_pk": "string",
"sys_bulk_load_record_no": 0.1,
"sys_bulk_load_source_file": "string",
"sys_calculated_field_error": "string",
"sys_calculated_field_errors": [
{
"error": "string",
"field": "string"
}
],
"sys_configuration_snapshot_id": "string",
"sys_created_at": "2019-08-24T14:15:22Z",
"sys_created_by_id": "string",
"sys_deleted_by_id": "string",
"sys_directive": "string",
"sys_external_id": "string",
"sys_has_files_in_s3": true,
"sys_last_bulk_data_operation_id": "string",
"sys_last_bulk_data_operation_sys_version": "string",
"sys_last_modified_at": "2019-08-24T14:15:22Z",
"sys_last_modified_by_id": "string",
"sys_last_security_context": {},
"sys_locked": true,
"sys_snapshot_base_version": 0.1,
"sys_version": 0.1,
"tasks_to_generate": [
{
"assignee_type": "assignment role",
"assignment_role_id": "string",
"description": "string",
"due_date_type": "none",
"name": "string",
"notify_assignees": true,
"priority": "high",
"queue_id": "string",
"relative_due_date": {
"number": null,
"position": "after",
"relative_to": "the beginning of the month",
"unit_of_time": "days"
},
"specific_due_date": "2019-08-24T14:15:22Z",
"type_id": "string",
"user_id": "string"
}
],
"ticket_purchase_restrictions": "all except the functions specified",
"type": "events-registration-packages"
}'The registration package was saved successfully.
The abbreviated name of the registration package, for display inside event dropdowns & lists
If true, the customer can choose their installment plan
Whether or not this package allows for guests
If set, auto renew is set automatically on the membership and the member must opt out
Whether to track inventory for the entire bundle, or for each product separately
Whether or not cancellation fees are applicable
If set, document entitlements will be created to access folders or documents
If true, purchasing this product will generate coupons
If set, the order engine will call out to a custom lambda function for custom/complex pricing
If set, document entitlements will be created to access folders or documents
If enabled, a custom email goes out whenever this product is ordered
If true, purchase limits are in place for this product
If set, purchases of this merchandise are restricted
If true, this package is not available in the online store
If set, the cancellation policy for this registration is overridden
Whether or not this product should be available in the portal
If true, this package only allows registrants to attend on certain days
The registration type to which this fee is tied; if null, is a "catch all" and applies to all types
If this record was loaded via bulk, the timestamp when the record was processed
If this record was loaded via bulk, the ID of the bulk load process
If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key
If this record was loaded via bulk, the record number in the source file
If this record was loaded via bulk, the source file
The error associated with the calculated field
If a snapshot was restored/applies to this record, the ID of the snapshot
The date/time that this record was created, expressed in ISO-8601 date format
The ID of the user that deleted (or last tried to delete) this object
Means for passing directive information into an object processing logic
If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion
If this record was last touched by a bulk data operation, the ID of that operation
If this record was last touched by a bulk data operation, the sys_version at the time of that operation
The date/time that this record record was last modified, expressed in ISO-8601 date format
The ID of the user that last modified this record
The security context of the last insert, modify, or delete performed on this item
The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox
A number representing the version of this record in the database
{ "abbreviated_name": "string", "allow_customer_to_choose_installment_plan": true, "allow_guest_registrations": true, "auto_renew_opt_out": true, "bulk_pricing_rules": [ { … } ], "bundled_products": [ { … } ], "bundled_products_inventory_handling": "bundle", "business_unit_id": "string", "cancellation_fee": 0.1, "cancellation_policy": { "cancellation_deadline": "2019-08-24T14:15:22Z", "cancellation_policy": "none", "cancellation_relative_date": { … } }, "commerce_entitlements_to_create": [ { … } ], "coupon_codes": [ { … } ], "custom_field_values": [ { … } ], "custom_pricing_options": { "lambda_function_id": "string" }, "days": [ "2019-08-24" ], "deadline_based_pricing": [ { … } ], "description": "string", "display_order": 0.1, "document_entitlements_to_create": [ { … } ], "enable_bulk_pricing": true, "enable_bundled_products": true, "enable_cancellation_fees": true, "enable_commerce_entitlement_creation": true, "enable_coupon_code_generation": true, "enable_custom_pricing": true, "enable_document_entitlement_creation": true, "enable_product_confirmation_email": true, "enable_purchase_limits": true, "enable_purchasing_eligibility": true, "enable_special_prices": true, "enable_task_generation": true, "event_id": "string", "foreign_currency_prices": [ { … } ], "function_ids": [ "string" ], "guest_registration_options": { "guest_types": [ … ], "maximum_number_of_guests": 0.1 }, "hide_from_online_store": true, "hide_from_portal": true, "id": "string", "include_add_ons": true, "include_courses": true, "include_sessions": true, "include_tickets": true, "included_add_ons": [ { … } ], "included_courses": [ { … } ], "included_sessions": [ { … } ], "included_tickets": [ { … } ], "installment_plan_options": [ { … } ], "is_active": true, "member_price": 0.1, "name": "string", "notes": "string", "override_cancellation_policy": true, "portal_options": { "available_from": "2019-08-24T14:15:22Z", "available_until": "2019-08-24T14:15:22Z" }, "price": 0.1, "product_confirmation_email_options": { "product_confirmation_email_id": "string", "product_specific_email": { … }, "type": "product specific" }, "publish_to_portal": true, "purchase_limits": { "error_message": "string", "maximum": 0.1, "relative_time_window": { … }, "time_period": "all time", "type": "per customer" }, "purchasing_eligibility_criteria": {}, "registrants_can_only_attend_on_certain_days": true, "registration_type_id": "string", "session_attendance": "can attend all sessions", "special_prices": [ { … } ], "specific_session_track_ids": [ "string" ], "sys_bulk_load_at": "string", "sys_bulk_load_id": "string", "sys_bulk_load_pk": "string", "sys_bulk_load_record_no": 0.1, "sys_bulk_load_source_file": "string", "sys_calculated_field_error": "string", "sys_calculated_field_errors": [ { … } ], "sys_configuration_snapshot_id": "string", "sys_created_at": "2019-08-24T14:15:22Z", "sys_created_by_id": "string", "sys_deleted_by_id": "string", "sys_directive": "string", "sys_external_id": "string", "sys_has_files_in_s3": true, "sys_last_bulk_data_operation_id": "string", "sys_last_bulk_data_operation_sys_version": "string", "sys_last_modified_at": "2019-08-24T14:15:22Z", "sys_last_modified_by_id": "string", "sys_last_security_context": {}, "sys_locked": true, "sys_snapshot_base_version": 0.1, "sys_version": 0.1, "tasks_to_generate": [ { … } ], "ticket_purchase_restrictions": "all except the functions specified", "type": "events-registration-packages" }